Package it.ernytech.tdlib

## Class TdApi.PageBlockSlideshow

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockSlideshow

Enclosing class:
  TdApi

    public static class TdApi.PageBlockSlideshow
    extends TdApi.PageBlock

A slideshow.

### Field Summary

Fields
`TdApi.RichText` `caption` Block caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.PageBlock[]` `pageBlocks` Slideshow item contents.

### Constructor Summary

Constructors
`PageBlockSlideshow()` Default constructor.
`PageBlockSlideshow​(TdApi.PageBlock[] pageBlocks, TdApi.RichText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### pageBlocks

    public TdApi.PageBlock[] pageBlocks

Slideshow item contents.

#### caption

    public TdApi.RichText caption

Block caption.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockSlideshow

    public PageBlockSlideshow()

Default constructor.

#### PageBlockSlideshow

    public PageBlockSlideshow​(TdApi.PageBlock[] pageBlocks,
                              TdApi.RichText caption)

Constructor for initialization of all fields.

Parameters:
  `pageBlocks` - Slideshow item contents.
  `caption` - Block caption.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR